Mozilla announces the end of NPAPI plugins in Firefox

download mod apk

Mozilla just announced an updated roadmap for the removal of NPAPI plugin support in Firefox and Firefox ESR. According to information posted by Benjamin Smedberg on the official Mozilla blog, plans are underway to remove NPAPI support by the end of 2016.

There is one exception to the rule and that is Adobe Flash. While support for all other NPAPI plugins is being removed in Firefox support for Adobe Flash remains available for the time being.

Mozilla notes that “Adobe Flash is still a common part of the Web experience for most users” which is why the organization made the decision to make an exception in the case of Flash.

While Flash support remains available in Firefox after 2016, it is likely that it will be removed at one point in time from the browser.

mod apk

firefox npapi plugins

Plugins such as Silverlight, Java, Unity and others will stop being supported in Firefox at the end of 2016.

The core reason given by Mozilla for the move is the following one:

Plugins are a source of performance problems, crashes, and security incidents for Web users

Mozilla announced a a close collaboration with Unity to bring Unity-based content directly in the browser without plugin requirement.

Unity announced the deprecation of its Web Player plugin which will be phased out by the company when Unity 5.4 will be released in March 2016.

While existing Web Player content remains accessible, it won’t be accessible in browsers that don’t support NPAPI. The new way of making content available to Internet users is by using WebGL export instead which is currently available as a preview.

Mozilla mentioned furthermore that it is working with Oracle to ensure a smooth transition for websites requiring Java.

Oracle published a blog post today as well which highlights the company’s Java transition plans. One option that developers and sites have is Java Web Start which is already included in the Java Runtime Environment.

Mozilla is not the first organization to announce the discontinuation of support for NPAPI plugins. Google announced in 2013 that it would deprecate support for NPAPI and Chrome 45 was the first version of the browser that shipped without support for NPAPI.

While all NPAPI plugins are no longer usable in Chrome, Flash content is still supported through Google’s own PPAPI interface.

Microsoft launched its Edge browser for Windows 10 without support for popular plugins as well.

Mozilla plans to launch the 64-bit version of Firefox for Windows without NPAPI support.

The outlook

Firefox users who require plugins that are not Flash won’t be able to use them once NPAPI support is removed from the browser. Since it is removed from all versions of Firefox without options to override the change, it will no longer be possible to access sites and apps that require these plugins.

While the count of sites requiring NPAPI plugins will drop further during 2016, it is unlikely that the requirement will be fully eradicated before support is removed.

This leaves users with no choice but to switch to another browser when they need to access plugin content on the Internet.

It is unclear right now if browsers that are based on Firefox code will follow Mozilla’s decision and remove NPAPI support as well.

Now You: Do you require NPAPI plugin support? What’s your take on the announcement?


Article Name

Mozilla announces the end of NPAPI plugins in Firefox


Martin Brinkmann


Mozilla just announced that support for NPAPI plugins will be removed from Firefox at the end of 2016.

About Martin Brinkmann

Martin Brinkmann is a journalist from Germany who founded Ghacks Technology News Back in 2005. He is passionate about all things tech and knows the Internet and computers like the back of his hand. You can follow Martin on Facebook, Twitter or Google+

You are here: Home > Firefox > Mozilla announces the end of NPAPI plugins in Firefox

This entry passed through the Full-Text RSS service – if this is your content and you’re reading it on someone else’s site, please read the FAQ at